%define release %mkrel 2
%define version 0.98.11
%define name dvdrip

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	DVD ripping GUI 
License:	GPL
URL: 		http://www.exit1.org/dvdrip/
Group: 		Video
Source:		http://www.exit1.org/dvdrip/dist/%{name}-%{version}.tar.xz
Source1:	Video-DVDRip-16.png
Source2:	Video-DVDRip-32.png
Source3:	Video-DVDRip-48.png
Source4:	Video-DVDRip.xml
Patch:		Video-DVDRip-0.98.8-fping-path.patch
Patch1:		Video-DVDRip-0.97.7-cssmethod.patch.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
Requires:	ImageMagick
Requires:	perl-libintl-perl
Requires:	perl-Gtk2-Ex-FormFactory
Requires:	ogmtools
Requires:	libdvdcss
Requires:	fping
Requires: 	transcode 
Requires(post): shared-mime-info
Requires(postun): shared-mime-info
Buildrequires:	perl-devel
Buildrequires:	perl-Gtk2 >= 1.121
Buildrequires:	perl-Gtk2-Ex-FormFactory
Buildrequires:	perl-Event-ExecFlow
Buildrequires:	perl-Event-RPC
Buildrequires:	perl-libintl-perl
Provides:	Video-DVDRip
Obsoletes:	Video-DVDRip
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
#disable requires on private modules
%define _requires_exceptions perl.Video::DVDRip

%description
dvd::rip is a full featured DVD copy program written in Perl. It
provides an easy to use but feature-rich Gtk+ GUI to control almost
all aspects of the ripping and transcoding process. It uses the widely
known video processing swissknife transcode and many other Open Source
tools.

%prep
%setup -q -n %name-%version
%patch -p1 -b .fping
%patch1 -p1 -b .css

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf %buildroot %name.lang
%makeinstall_std
# icons
install -D -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_liconsdir}/%name.png 
install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/%name.png 
install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_miconsdir}/%name.png
#mime
install -D -m 644 %{SOURCE4} %buildroot%_datadir/mime/packages/%name.xml

mkdir $RPM_BUILD_ROOT%{_datadir}/applications
cat > %buildroot%_datadir/applications/pclinuxos-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=dvd::rip
Comment=DVD ripping GUI
Exec=%{_bindir}/dvdrip %U
Icon=%{name}
Terminal=false
MimeType=application/x-rip
Type=Application
StartupNotify=true
Categories=GTK;AudioVideo;Video;AudioVideoEdition;Player;X-MandrivaLinux-Multimedia-Video;
EOF

# for subdir in %buildroot%_libdir/perl5/*/*/LocaleData/*; do
for subdir in %buildroot%_prefix/lib/perl5/*/*/LocaleData/*; do
echo "%lang($(basename $subdir)) $(echo $subdir|sed s!%buildroot!!)" >> %name.\lang
done

%clean
rm -fr %buildroot

%post
%update_menus
%update_mime_database
%{update_desktop_database}

%postun
%clean_menus
%clean_mime_database
%{clean_desktop_database}


%files -f %name.lang
%defattr(-,root,root)
%doc README TODO Credits Changes COPYRIGHT
%{_bindir}/*
%{_mandir}/*/*
%{perl_vendorlib}/Video/
%_datadir/applications/*.desktop
%_datadir/mime/packages/%name.xml
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png


%changelog
* Sun Nov 07 2010 Texstar <texstar at gmail.com> 0.98.11-2pclos2010
- clean up spec file

* Sat Oct 09 2010 Sproggy <desproggster@gmail.com> 0.98.11-1pclos2010
- 0.98.11


